#include<bits/stdc++.h>
using namespace std;

int main(){
	int n;
	
	cin >> n;
	
	cout << 2*n << " ";
	for(int i = 2*n-2; i > n; i--) cout << i << " ";
	cout << 1 << endl;
	cout << 2*n-1 << " ";
	for(int i = n; i >= 2; i--) cout << i << " ";
}